<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="ChangeListManager">
    <list default="true" id="112195f0-af76-4de7-bd94-0105019f0286" name="Default Changelist" comment="">
      <change beforePath="$PROJECT_DIR$/.idea/workspace.xml" beforeDir="false" afterPath="$PROJECT_DIR$/.idea/workspace.xml" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/config/mqtt-server-configuration.js" beforeDir="false" afterPath="$PROJECT_DIR$/config/mqtt-server-configuration.js" afterDir="false" />
      <change beforePath="$PROJECT_DIR$/model/DisLike.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/model/Like.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/controllers/DislikeController.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/controllers/LikeController.js" beforeDir="false" />
      <change beforePath="$PROJECT_DIR$/routes/controllers/VoteController.js" beforeDir="false" />
    </list>
    <option name="SHOW_DIALOG" value="false" />
    <option name="HIGHLIGHT_CONFLICTS" value="true" />
    <option name="HIGHLIGHT_NON_ACTIVE_CHANGELIST" value="false" />
    <option name="LAST_RESOLUTION" value="IGNORE" />
  </component>
  <component name="CodeStyleSettingsInfer">
    <option name="done" value="true" />
  </component>
  <component name="FileTemplateManagerImpl">
    <option name="RECENT_TEMPLATES">
      <list>
        <option value="JavaScript File" />
      </list>
    </option>
  </component>
  <component name="Git.Settings">
    <option name="RECENT_GIT_ROOT_PATH" value="$PROJECT_DIR$" />
  </component>
  <component name="ProjectCodeStyleSettingsMigration">
    <option name="version" value="1" />
  </component>
  <component name="ProjectId" id="1hMwfvAvz5XeVlRG4yqunRTwhRf" />
  <component name="ProjectLevelVcsManager" settingsEditedManually="true" />
  <component name="ProjectViewState">
    <option name="hideEmptyMiddlePackages" value="true" />
    <option name="showExcludedFiles" value="true" />
    <option name="showLibraryContents" value="true" />
  </component>
  <component name="PropertiesComponent">
    <property name="RunOnceActivity.ShowReadmeOnStart" value="true" />
    <property name="WebServerToolWindowFactoryState" value="false" />
    <property name="aspect.path.notification.shown" value="true" />
    <property name="javascript.nodejs.core.library.configured.version" value="14.2.0" />
    <property name="last_opened_file_path" value="$PROJECT_DIR$" />
    <property name="nodejs_interpreter_path" value="node" />
    <property name="nodejs_package_manager_path" value="npm" />
  </component>
  <component name="RecentsManager">
    <key name="CopyFile.RECENT_KEYS">
      <recent name="D:\personal\kompos-movie-site" />
      <recent name="D:\personal\kompos-movie-site\public\javascripts" />
      <recent name="D:\personal\kompos-movie-site\views" />
      <recent name="D:\personal\kompos-movie-site\public\images" />
    </key>
    <key name="MoveFile.RECENT_KEYS">
      <recent name="D:\personal\kompos-movie-site\public\" />
      <recent name="D:\personal\kompos-movie-site\routes\controllers" />
    </key>
  </component>
  <component name="SvnConfiguration">
    <configuration />
  </component>
  <component name="TaskManager">
    <task active="true" id="Default" summary="Default task">
      <changelist id="112195f0-af76-4de7-bd94-0105019f0286" name="Default Changelist" comment="" />
      <created>1599834375693</created>
      <option name="number" value="Default" />
      <option name="presentableId" value="Default" />
      <updated>1599834375693</updated>
      <workItem from="1599834380879" duration="272000" />
      <workItem from="1599840087567" duration="787000" />
      <workItem from="1599841005418" duration="48002000" />
      <workItem from="1599986654977" duration="3979000" />
      <workItem from="1600068124549" duration="84000" />
      <workItem from="1600102355939" duration="16707000" />
      <workItem from="1600191602439" duration="15083000" />
      <workItem from="1600244438346" duration="87000" />
      <workItem from="1600260594223" duration="3729000" />
      <workItem from="1600328138192" duration="113000" />
    </task>
    <task id="LOCAL-00001" summary="minor changes to ui&#10;add remove vote functionality">
      <created>1600068188188</created>
      <option name="number" value="00001" />
      <option name="presentableId" value="LOCAL-00001" />
      <option name="project" value="LOCAL" />
      <updated>1600068188188</updated>
    </task>
    <task id="LOCAL-00002" summary="minor changes to ui&#10;add remove vote functionality">
      <created>1600110914837</created>
      <option name="number" value="00002" />
      <option name="presentableId" value="LOCAL-00002" />
      <option name="project" value="LOCAL" />
      <updated>1600110914837</updated>
    </task>
    <task id="LOCAL-00003" summary="add mqtt message broker for asynchronous message broadcasting among clients">
      <created>1600119734917</created>
      <option name="number" value="00003" />
      <option name="presentableId" value="LOCAL-00003" />
      <option name="project" value="LOCAL" />
      <updated>1600119734917</updated>
    </task>
    <task id="LOCAL-00004" summary="Change to public mqtt clients">
      <created>1600192435788</created>
      <option name="number" value="00004" />
      <option name="presentableId" value="LOCAL-00004" />
      <option name="project" value="LOCAL" />
      <updated>1600192435788</updated>
    </task>
    <task id="LOCAL-00005" summary="Change to public mqtt clients">
      <created>1600197750553</created>
      <option name="number" value="00005" />
      <option name="presentableId" value="LOCAL-00005" />
      <option name="project" value="LOCAL" />
      <updated>1600197750553</updated>
    </task>
    <task id="LOCAL-00006" summary="Remove all votes from a user">
      <created>1600199502733</created>
      <option name="number" value="00006" />
      <option name="presentableId" value="LOCAL-00006" />
      <option name="project" value="LOCAL" />
      <updated>1600199502733</updated>
    </task>
    <task id="LOCAL-00007" summary="Bub fixings">
      <created>1600206874323</created>
      <option name="number" value="00007" />
      <option name="presentableId" value="LOCAL-00007" />
      <option name="project" value="LOCAL" />
      <updated>1600206874323</updated>
    </task>
    <task id="LOCAL-00008" summary="Add readme.md">
      <created>1600263191890</created>
      <option name="number" value="00008" />
      <option name="presentableId" value="LOCAL-00008" />
      <option name="project" value="LOCAL" />
      <updated>1600263191890</updated>
    </task>
    <task id="LOCAL-00009" summary="Add readme.md">
      <created>1600263326098</created>
      <option name="number" value="00009" />
      <option name="presentableId" value="LOCAL-00009" />
      <option name="project" value="LOCAL" />
      <updated>1600263326098</updated>
    </task>
    <task id="LOCAL-00010" summary="Add properties">
      <created>1600264178412</created>
      <option name="number" value="00010" />
      <option name="presentableId" value="LOCAL-00010" />
      <option name="project" value="LOCAL" />
      <updated>1600264178412</updated>
    </task>
    <task id="LOCAL-00011" summary="readme changes">
      <created>1600264318293</created>
      <option name="number" value="00011" />
      <option name="presentableId" value="LOCAL-00011" />
      <option name="project" value="LOCAL" />
      <updated>1600264318293</updated>
    </task>
    <option name="localTasksCounter" value="12" />
    <servers />
  </component>
  <component name="TypeScriptGeneratedFilesManager">
    <option name="version" value="1" />
  </component>
  <component name="VcsManagerConfiguration">
    <MESSAGE value="minor changes to ui&#10;add remove vote functionality" />
    <MESSAGE value="add mqtt message broker for asynchronous message broadcasting among clients" />
    <MESSAGE value="Change to public mqtt clients" />
    <MESSAGE value="Remove all votes from a user" />
    <MESSAGE value="Bub fixings" />
    <MESSAGE value="Add readme.md" />
    <MESSAGE value="Add properties" />
    <MESSAGE value="readme changes" />
    <option name="LAST_COMMIT_MESSAGE" value="readme changes" />
  </component>
  <component name="WindowStateProjectService">
    <state x="690" y="271" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog" timestamp="1600328181005">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="690" y="271" key="#com.intellij.refactoring.safeDelete.UnsafeUsagesDialog/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328181005" />
    <state x="579" y="141" width="1045" height="773" key="#xdebugger.evaluate" timestamp="1600205810592">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="579" y="141" width="1045" height="773" key="#xdebugger.evaluate/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600205810592" />
    <state x="585" y="119" key="CommitChangelistDialog2" timestamp="1600264317239">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="585" y="119" key="CommitChangelistDialog2/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264317239" />
    <state x="184" y="87" key="DiffContextDialog" timestamp="1600263158577">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="184" y="87" key="DiffContextDialog/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600263158577" />
    <state x="740" y="266" key="FileChooserDialogImpl" timestamp="1599842985126">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="740" y="266" key="FileChooserDialogImpl/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1599842985126" />
    <state width="1877" height="290" key="GridCell.Tab.0.bottom" timestamp="1600328256151">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.0.bottom/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328256151" />
    <state width="1877" height="290" key="GridCell.Tab.0.center" timestamp="1600328256151">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.0.center/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328256151" />
    <state width="1877" height="290" key="GridCell.Tab.0.left" timestamp="1600328256150">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.0.left/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328256150" />
    <state width="1877" height="290" key="GridCell.Tab.0.right" timestamp="1600328256151">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.0.right/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328256151" />
    <state width="1877" height="290" key="GridCell.Tab.1.bottom" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.1.bottom/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.1.center" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.1.center/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.1.left" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.1.left/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.1.right" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.1.right/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.2.bottom" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.2.bottom/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.2.center" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.2.center/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.2.left" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.2.left/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.2.right" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.2.right/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.3.bottom" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.3.bottom/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.3.center" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.3.center/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.3.left" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.3.left/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state width="1877" height="290" key="GridCell.Tab.3.right" timestamp="1600264622909">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state width="1877" height="290" key="GridCell.Tab.3.right/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264622909" />
    <state x="742" y="235" key="RollbackChangesDialog" timestamp="1600328294057">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="742" y="235" key="RollbackChangesDialog/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600328294057" />
    <state x="552" y="257" key="Vcs.Push.Dialog.v2" timestamp="1600264323728">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="552" y="257" key="Vcs.Push.Dialog.v2/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600264323728" />
    <state x="623" y="227" width="672" height="678" key="search.everywhere.popup" timestamp="1600107645871">
      <screen x="0" y="0" width="1920" height="1050" />
    </state>
    <state x="623" y="227" width="672" height="678" key="search.everywhere.popup/0.0.1920.1050/1920.0.1920.1050@0.0.1920.1050" timestamp="1600107645871" />
  </component>
  <component name="XDebuggerManager">
    <watches-manager>
      <configuration name="NodeJSConfigurationType">
        <watch expression="users" />
      </configuration>
    </watches-manager>
  </component>
</project>